/*
 * param.c
 * $Id: param.c 19 2004-01-17 16:05:21Z max $
 *
 * Demo kernel module. Accepts a parameter and prints it.
 *
 * (c) 2003-2004 Max Kellermann (max@linuxtag.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <linux/kernel.h>

int param = 0xdeadbeef;

int init_module(void);
int init_module(void) {
    printk(KERN_EMERG "param = 0x%08x (%d)\n", param, param);
    return -1;
}
